fldigi - Add custom et-portaudio comment to system-wide installer

This commit is contained in:
thetechprepper
2025-10-02 13:42:13 -07:00
parent 6021b14243
commit 944b06e7f9
5 changed files with 59 additions and 1 deletions
+32
View File
@@ -0,0 +1,32 @@
#!/bin/bash
# Author : Gaston Gonzalez
# Date : 2 October 2025
# Purpose : Builds and installs et-portaudio
set -e
trap 'last_command=$current_command; current_command=$BASH_COMMAND' DEBUG
trap 'et-log "\"${last_command}\" command failed with exit code $?."' ERR
. ./env.sh
APP="et-portaudio"
VERSION="1.0.0"
APP_AND_VERSION="${APP}-${VERSION}"
INSTALL_DIR="/opt/${APP_AND_VERSION}"
INSTALL_BIN_DIR="${INSTALL_DIR}/bin"
LINK_PATH="/opt/${APP}"
et-log "Installing ${APP} ${VERSION}"
CWD_DIR=`pwd`
cd ../src/et-portaudio
# Compile
make install
[[ -e ${LINK_PATH} ]] && rm ${LINK_PATH}
ln -v -s ${INSTALL_DIR} ${LINK_PATH}
stow -v -d /opt ${APP} -t /usr/local
cd ${CWD}
+3 -1
View File
@@ -2,7 +2,7 @@
# #
# Author : Gaston Gonzalez # Author : Gaston Gonzalez
# Date : 16 March 2024 # Date : 16 March 2024
# Updated : 30 September 2025 # Updated : 2 October 2025
# Purpose : Main installer for EmComm Tools Community (ETC) # Purpose : Main installer for EmComm Tools Community (ETC)
. ./env.sh . ./env.sh
@@ -90,4 +90,6 @@ exitIfNotRoot
# Install fldigi suite # Install fldigi suite
./install-fldigi.sh ./install-fldigi.sh
./install-et-portaudio.sh
# TODO: add installers for flmsg and flamp # TODO: add installers for flmsg and flamp
+11
View File
@@ -4,11 +4,22 @@ LDFLAGS = -lportaudio -lasound
TARGET = et-portaudio TARGET = et-portaudio
SRC = main.c SRC = main.c
VERSION=1.0.0
INSTALL_DIR = /opt/et-portaudio-$(VERSION)/bin
.PHONY: install
all: $(TARGET) all: $(TARGET)
$(TARGET): $(SRC) $(TARGET): $(SRC)
$(CC) $(CFLAGS) -o $(TARGET) $(SRC) $(LDFLAGS) $(CC) $(CFLAGS) -o $(TARGET) $(SRC) $(LDFLAGS)
install: $(TARGET)
@echo "Installing $(TARGET) to $(INSTALL_DIR)..."
@mkdir -p $(INSTALL_DIR)
@cp $(TARGET) $(INSTALL_DIR)/
@chmod 755 $(INSTALL_DIR)/$(TARGET)
@echo "Done."
clean: clean:
rm -f $(TARGET) *.o rm -f $(TARGET) *.o
+6
View File
@@ -24,3 +24,9 @@ exit status of 1.
``bash ``bash
make make
``` ```
## Install
```bash
sudo make install
```
+7
View File
@@ -0,0 +1,7 @@
#!/bin/bash
# Author : Gaston Gonzalez
# Date : 2 October 2025
# Purpose : Test et-portaudio installation
OUT=$(which et-portaudio)
exit $?